Download it now!
Bug 74252 - Customize dialog crashes on exit
Summary: Customize dialog crashes on exit
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: target:4.3.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-01-31 01:11 UTC by Kohei Yoshida
Modified: 2014-02-27 16:00 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kohei Yoshida 2014-01-31 01:11:08 UTC
1. Go to View - Toolbars - Customize to open up the Customize dialog.
2. Close the dialog either by clicking OK or Cancel.
3. It crashes.

It crashes in the dtor of _SvxMacroTabPage where

    SvHeaderTabListBox& rListBox = mpImpl->pEventLB->GetListBox();

mpImpl->pEventLB is accessed after the object it points to gets deleted in the dtor of SvxEventConfigPage

    delete mpImpl->pEventLB;
Comment 1 Kohei Yoshida 2014-01-31 01:11:23 UTC
Confirming.
Comment 2 Commit Notification 2014-01-31 01:16:45 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4ca5536f008d1503a9c9fa8b65150baeb92e4b4c

fdo#74252: Fix crash on exit with the customize dialog.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Kohei Yoshida 2014-01-31 01:17:15 UTC
Hopefully fixed the right way.
Comment 4 tommy27 2014-02-03 06:51:36 UTC
fix works in Version: 4.3.0.0.alpha0+
Build ID: a995462e6855061816c6529c366f20ace2b45868
TinderBox: Win-x86@42, Branch:master, Time: 2014-01-31_23:29:34

Status VERIFIED

thanks Kohei